### Function

# Gio content_type_get_generic_icon_name

since: 2.34

#### Declaration

    gchar*
    g_content_type_get_generic_icon_name (
      const gchar* type
    )

#### Description

Gets the generic icon name for a content type.

See the shared-mime-info specification for more on the generic icon name.

Available since: 2.34

#### Parameters

`type`

  Type: `const gchar*`

  A content type string.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gchar*`

The registered generic icon name for the given `type`, or `NULL` if unknown. Free with g_free().

The caller of the function takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.